{% set lastCounter = printer.printerCounters | last %}
{% set presentCounter = get_present_counter(printer.id) %}

{% set organization = printer.organizationLocations %}


{% set lcDate = null %}
{% set lcCount = null %}
{% set dateDiff = 0 %}

{% if lastCounter %}
    {% set lcDate = lastCounter.date|date('d.m.Y')|default('') %}
    {% set lcCount = lastCounter.counter|default('0')|number_format(0, ',', '.') %}

    {% set today = "now"|date('d-m-Y') %}
    {% set dateDiff = date(today).diff(date(lcDate))%}

{% endif %}
{% set rowClass = 'table-success' %}
{% if dateDiff and dateDiff.days > 6 and date(lcDate) < date(today) %}
    {% set rowClass = 'table-warning' %}
{% endif %}

{% if not lcCount %}
    {% set rowClass = 'table-danger' %}
{% endif %}

{% if not printer.status %}
    {% set rowClass = rowClass ~ ' text-danger' %}
{% endif %}


<tr class="{{ rowClass }}">
    <td>{{ organization.account.name|default('') }}</td>
    <td>{{ organization.address.title|default('') }}</td>
    <td>{{ printer.printerName }}</td>
    <td class="text-center">{{ printer.serialNumber }}</td>
    <td class="text-center">{{ printer.ipAddress }}</td>
    <td class="text-center">{{ lcDate|default('') }}</td>
    <td class="text-right">{{ lcCount|default('') }}</td>
    <td class="text-right">{{ presentCounter|number_format(0, ',', '.') }}</td>
</tr>